#import <Cocoa/Cocoa.h>
#import "AppController.h"

@implementation AppController

- (BOOL) application: (NSApplication *)app openFile: (NSString *)path
{
NSString *currentPref;
NSFileManager *fileManager = [NSFileManager defaultManager];
BOOL isDirectory;
NSEnumerator *enumerator;
NSString *contents;
NSString *omePref = [@"~/Library/Preferences/OME_Preferences"
                        stringByExpandingTildeInPath];
NSString *destPath;

    currentPref = [[omePref stringByAppendingPathComponent: @"PrefAndSend"]
        stringByAppendingPathComponent:
        [[path lastPathComponent] stringByDeletingPathExtension]];
        
    if (!([fileManager fileExistsAtPath: currentPref isDirectory:&isDirectory]
            && isDirectory))
    {
        [message setStringValue: @"Preference folder not found."];
        return NO;
    }
    
    enumerator = [[fileManager directoryContentsAtPath: currentPref]
                        objectEnumerator];
    while (contents = [enumerator nextObject])
    {
        destPath = [omePref stringByAppendingPathComponent: contents];
        [fileManager removeFileAtPath: destPath handler: nil];
        [fileManager copyPath: [currentPref
                stringByAppendingPathComponent: contents]
                toPath: destPath
                handler: nil];
    }
	[[NSWorkspace sharedWorkspace] launchApplication:
		@"/Applications/OME_Applications/OME_SendMail.app"];
    [NSApp terminate: self];
    return NO;
}


- (void) applicationDidFinishLaunching: (NSNotification *)notification
{
    [message setStringValue: @"Launch PrefAndSend by Drag&Drop of a setting file."];
    //[NSApp terminate: self];
}

@end
